Compiling PHP5 With Mysql & Mysqli Support

Jun 15, 2009

While trying to compile PHP 5 with mysql and mysqli , I was facing some issues.

Actually, the configure command generates a bad Makefile.

Open the Makefile and look for a line staring with EXTRA_LIBS

You will see that the option “-lmysqlclient” is repeated twice. Delete one of them and save the Makefile.

Now, you should be able to run the Make command and compile PHP without any issues.

View 0 Replies


ADVERTISEMENT

Compiling Apache/PHP/Mysql Under X86_64

Feb 9, 2007

I'm wondering if there are special notes on compiling sever softwares under x86_64 (CentOS 4.4 64bit, Pentium D)? Are there any specific flags for extra optimizations? Or the regular "./configure" will compile things in x86_64 by default?

View 2 Replies View Related

UK Hosting With PHP5, Curl And PDO Support

Feb 21, 2009

I'm needing to move one of my own websites, as the current shared host doesn't provide curl or full PDO support.

I'm tempted by the basic fasthosts linux home package, as I've used them before for a client, but I'm not sure if they're shared hosting includes curl/PDO support (I know their dedicated servers do, as I've just checked).

I've just sent an email to fasthosts asking, but are there any other hosts I should be looking at?

The site's nothing critical, with pretty low bandwidth needs, but the current hosts uptime isn't anything to shout about.

View 6 Replies View Related

MySql Not Working With PHP5

Apr 21, 2009

I have installed PHP5 in my windows server (IIS6).But when I check with phpinfo() its not showing mysql extension or any details.

I have enabled the mysql extension in php.ini

View 1 Replies View Related

Install Php5 Via Yum But Keep Mysql 4

Nov 6, 2007

Is this possible? It seems that yum wants to also upgrade to mysql 5 if I want to upgrade php to 5. I'm having a hard time finding any info about it online.

View 4 Replies View Related

Low Memory After Installing Mysql Mod Php5

Nov 6, 2009

I have a VPS.

I have installed "Lighttpd, php5cgi, mysql-server, mysql-client,
libmysqlclient15-dev"

I have optimized the MySQL Server (/etc/mysql/my.cnf).

All these together just take 30 mb Memory.

Lighttpd use just 12mb memory And everything is very good.

But,

When I install php5 mod MySQL:
apt-get install php5-mysql

Then the Lighttpd memory increases to 90mb!

I am using updated Debian Lenny, MySQL5, php5.

View 6 Replies View Related

Host Recommendation (Req: PHP5, MySQL, CRON, Mass-Email)

Sep 1, 2009

any hosts that can provide the following:

PHP5.3 +
MySQL
CRON (to run daily/weekly scripts at a certain time)
Mass Email. The scripts will send emails to a number of users(between 10-100 at first, but may grow) and this will be done daily and weekly.

In the past, I've tended to go with SupaNames or FastHosts but looking at their solutions for this, it's not quite right for my requirements.

View 3 Replies View Related

Lighttpd With MySqli

Jul 25, 2008

I just recompiled PHP 5 with MySqli in cPanel and Mysqli is working fine under Apache, but it doesn't work under lighttpd. I can see the MySqli module in phpinfo when I run it under Apache, but there's no MySqli module when I run it under lighttpd. So how can I fix it to use MySqli with lighttpd?

View 1 Replies View Related

Security Risk Having Mbstring And Mysqli Installed On Your Server

Mar 20, 2008

A friend of mine owns a hosting company and a client of his asked to have mbstring and mysqli installed. What he wants to know is , is there any security risks if he does install that on his server?

Also, he wants to know, if there is not, what how does he go about installing that on the server?

View 4 Replies View Related

Host With Mysqli Suport. Unlimited Addon Domains

Apr 28, 2008

I hawe about 60 websites. I need hosting for it.

SO the criterias:

Unlimited addon domain.
Unlimited Mysql databases.
No setup fees.
About 600Mb webspase
About 2000-3000 trafic
Cheap as posible
If posible (but not necesary) multiple IP's.
Payment from PayPal but if it's necesarry then it's Moneybookers ok to.
Prefer monthly payments.

If posible than MySQLi suport will be great.

View 7 Replies View Related

Need VPS Hosting With Mysql 4.X Support

May 7, 2009

Hey all. I have some legacy web applications that requires MySQL 4.X to function. Too much pain to upgrade. Can any of you recommend a VPS linux hosting provider that you can vouch for, who also support MySQL 4?

I am currently using MediaTemple GS which has MySQL 4 support; however, recent problems have made me want to consider other options. Unfortuantely, MediaTemple DV (thier VPS option) does not have MySQL 4 as an option.

Many thanks.

Harrison

View 6 Replies View Related

VPS Hosting With Mysql 4.X Support

May 7, 2009

I have some legacy web applications that requires MySQL 4.X to function. Too much pain to upgrade. Can any of you recommend a VPS linux hosting provider that you can vouch for, who also support MySQL 4?

I am currently using MediaTemple GS which has MySQL 4 support; however, recent problems have made me want to consider other options. Unfortuantely, MediaTemple DV (thier VPS option) does not have MySQL 4 as an option.

View 7 Replies View Related

Free Hosting With PHP, MySQL Support

Mar 10, 2009

Does somebody knows free hosting with PHP, MySQL support? And without banners on the page

View 2 Replies View Related

Fast UK Host With MySQL Support

Apr 18, 2008

I currently run a website which is hosted with storminternet.co.uk and, while I can't fault their reliability, the (lack of) performance is undermining the usefulnes of the website.

Key features of the website are:

- completely MySQL/PHP driven so the host needs MySQL support and processor power . Some of the MySQL queries are fairly complex and call upon multiple tables of large datasets.

- monthly bandwidth is much less of an issue than speed (if that's not an oxymoron) as the number of visitors is currently <250/day.

- most if not all of the visitors are from the UK

In terms of budget I would be willing to go £150+/year if the service was top quality.

View 4 Replies View Related

MySQL Error: Client Does Not Support Authentication Protocol

Jun 17, 2008

"Client does not support authentication protocol requested by server; consider upgrading MySQL client"

I upgraded from MySQL 4 to 5 and everything was fine for about a week. On Monday, I get the error above. From what I've read, this is the oldpassword/new password hash error that I can fix in about 2 minutes on my server. However, this is on a Parcom server, and Parcom has been sloooowww to react.

Can anyone think of another reason why this would be coming up? It's running fine on 3 other PCs that I run as a backup. I've dropped the database twice and rebuilt it twice, still with the same error. Ditto for the user/pass.

View 2 Replies View Related

Windows Share Hosting Support Apache Php Mysql?

Apr 24, 2008

which windows share hosting support apache php mysql?

View 7 Replies View Related

Re-Compiling PHP

Aug 7, 2007

I was recently faced with a problem, i had to install some extensions which were not included by default with php (libcurl being one of them). I didn't have a clue what to do, but because my dedicated server is running debian, i had to force myself to learn.

Anyway, back to the point. I already have php5 running (but it needs to be re-compiled) and i have downloaded libcurl. I used apt-get install php5-curl and that took care of it. The questions are:

To recompile do i need to remove the old installation of PHP before compiling it again to add the extensions?

Do i need enable the extensions like mysql and stuff or do they install as default if not specified, im guessing i would need to specify everything?

Im used to downloading a pre compiled package, running the installer and away we go, actually its MAMP on OSX. I remember in windows you could just add the extension in the .ini i later learned in OSX and Linux its not as easy.

View 0 Replies View Related

Compiling Php On Centos 5.3

Apr 7, 2009

Is this the correct setup?

'--host=i686-redhat-linux' '--build=i686-redhat-linux' '--target=i686-redhat-linux-gnu'

View 3 Replies View Related

Compiling PHP Error

Mar 21, 2008

I recently tried upgrading my test VPS to run PHP 6.0, and it worked.

However I wasn't able to get MySQL to compile with PHP.

Hence I just reinstalled MySQL and tried recompiling PHP (from source) again. However I still get errors when compiling PHP:

checking for MySQL support... yes
checking for specified location of the MySQL UNIX socket... no
checking for MySQL UNIX socket location... /var/tmp/mysql.sock
configure: error: Cannot find libmysqlclient under /usr/local.
Note that the MySQL client library is not bundled anymore!

No matter what ./configure command I run, I can't seem to get this working. For example, the PHP INSTALL documentation (comes with the source files) actually says running:

./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql

Will work fine. However it doesn't. I've also tried specifying the MySQL directory, to no success.

Just as some extra information, libmysqlclient is at:

-bash-3.00# find /usr -name libmysqlclient*
/usr/lib/libmysqlclient.so.6
/usr/lib64/libmysqlclient.so
/usr/lib64/libmysqlclient.so.14
/usr/lib64/libmysqlclient_r.so
/usr/lib64/mysql/libmysqlclient.a
/usr/lib64/mysql/libmysqlclient.la
/usr/lib64/mysql/libmysqlclient_r.a
/usr/lib64/mysql/libmysqlclient_r.la
/usr/lib64/mysql/libmysqlclient.so
/usr/lib64/mysql/libmysqlclient_r.so
/usr/lib64/libmysqlclient.so.15
/usr/lib64/libmysqlclient.so.15.0.0
/usr/lib64/libmysqlclient_r.so.15
/usr/lib64/libmysqlclient_r.so.15.0.0
/usr/local/lib64/libmysqlclient.so.14
/usr/local/cpanel/lib64/libmysqlclient.so.14

However specifying the MySQL directories as "/usr/lib64, /usr/bin, /usr/lib64/mysql, /usr/local/lib64 or /usr/lib" doesn't seem to work.

The complete configure command I've tried running is: "./configure --with-apxs2=/usr/local/apache/bin/apxs --prefix=/usr/local/ --with-icu-dir=/usr/local/icu --with-pspell --with-mysql"

View 6 Replies View Related

Kernel Compiling

Dec 24, 2008

I've never actually compiled a kernel before, and wanted to know the basics when it comes to compiling for a standard CPanel/Centos 32bit system.

View 10 Replies View Related

Compiling RHE 5 Kernel

Apr 26, 2008

I have always used RPM kernels from the RedHat Network, in this time I need to compile an SMP kernel in a server that is used to serve common webhosting traffic (web, ftp, email, etc) with cPanel.

I have compiled kernels from source in desktops stations, but never in remote servers.. do you have any recommendations to do this at a Dual Xeon 3.2 RHE 5 + cPanel server? Oh.. almost forgot.. I will also compile it with GRsecurity.

Should I use a src kernel from RedHat, or a kernel.org latest kernel?

View 4 Replies View Related

I Got Some Errors While Compiling Php

Aug 28, 2007

i was compiling php in apache update section in whm. but when compiling curl, i got
some errors :

Quote:

make [@php-5.0.4]...(-j 1 clean).... Done

make [@php-5.0.4]...(-j 1).... . . . . . . . . . . Done

/home/cpapachebuild/buildapache/php-5.0.4/ext/curl/interface.c:173: error: `CURLOPT_FTPASCII' undeclared (first use in this function)
/home/cpapachebuild/buildapache/php-5.0.4/ext/curl/interface.c:173: error: (Each undeclared identifier is reported only once
/home/cpapachebuild/buildapache/php-5.0.4/ext/curl/interface.c:173: error: for each function it appears in.)
/home/cpapachebuild/buildapache/php-5.0.4/ext/curl/interface.c:211: error: `CURLOPT_PASSWDFUNCTION' undeclared (first use in this function)
make: *** [ext/curl/interface.lo] Error 1

make [@php-5.0.4]...(install).... Done

/home/cpapachebuild/buildapache/php-5.0.4/ext/curl/interface.c:173: error: `CURLOPT_FTPASCII' undeclared (first use in this function)
/home/cpapachebuild/buildapache/php-5.0.4/ext/curl/interface.c:173: error: (Each undeclared identifier is reported only once
/home/cpapachebuild/buildapache/php-5.0.4/ext/curl/interface.c:173: error: for each function it appears in.)
/home/cpapachebuild/buildapache/php-5.0.4/ext/curl/interface.c:211: error: `CURLOPT_PASSWDFUNCTION' undeclared (first use in this function)
make: *** [ext/curl/interface.lo] Error 1

i'm compiling php5.0.4, with default settings and Curl (Version 7.15.3), GD
(Version 2.0.15), GetText, Freetype Support.

View 2 Replies View Related

Compiling W/ CFLAGS=-O2

May 2, 2007

Usually when I compile my scripts from source I never use any compiler flags. After taking a look at this article I found

[url]

I noticed that they were using the CFLAGS=-O2 option. Is this compatible for fedora core and/or centOS? Do all gcc compilers have this feature, and if they do, is it safe?

Should I use it or should I avoid it?

View 1 Replies View Related

Compiling PHP Zip Extension Onto A Mac That Has MAMP Pro

Mar 10, 2008

compiling the zip extension for my MAMP installation. I used this tutorial here (using phpize):

[url]

All is well.. but when I run make test it gives me this:

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/imap.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/yaz.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/mcrypt.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/gettext.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pgsql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pdo_pgsql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pdo_mysql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/imap.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/yaz.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/mcrypt.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/gettext.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pgsql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pdo_pgsql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pdo_mysql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

So, from what I see there are two problems:

1. compiling the zip.so fails...

2. Some directories are wrongly set, because my extension .so files reside in /mamp/bin/php5/lib/php/extensions/no-debug-non-zts-20050922/

I see no "modules" in there, so..

View 3 Replies View Related

Compiling The Zip Library On MAMP

Mar 10, 2008

I am having some serious trouble compiling the zip extension for my MAMP installation. I used this tutorial here (using phpize):

[url]

All is well.. but when I run make test it gives me this:

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/imap.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/yaz.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/mcrypt.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/gettext.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pgsql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pdo_pgsql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pdo_mysql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/imap.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/yaz.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/mcrypt.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/gettext.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pgsql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pdo_pgsql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/pdo_mysql.so' - (null) in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

Warning: PHP Startup: Invalid library (maybe not a PHP library) 'zip.so' in Unknown on line 0

So, from what I see there are two problems:

1. compiling the zip.so fails...

2. Some directories are wrongly set, because my extension .so files reside in /mamp/bin/php5/lib/php/extensions/no-debug-non-zts-20050922/

I see no "modules" in there, so..

View 0 Replies View Related

Compiling Static Standalone PHP Binary

Jun 22, 2007

I am using the following configure command in hope to generate a PHP binary which is totally independent, standalone and can be moved to other systems without caring for dependencies:

./configure --enable-fastcgi --enable-force-cgi-redirect --enable-discard-path --prefix=/server/php --exec-prefix=/server/php --with-config-file-path=/server/php --disable-all --enable-shared=no --enable-static=yes --enable-session --with-gd --with-zlib-dir --with-freetype-dir --enable-sockets

But when I try to run the generated binary on another system which doesn't have freetype etc installed, I get the following error:

error while loading shared libraries: libfreetype.so.6

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved